module Entradas

use portlib
use Coef
	
contains

subroutine EntradaDados

 ler_dados = system('notepad dados.ent')                    ! lista dados

    open(1,file='dados.ent')
	
		read(1,*) 
		read(1,*) op                                        ! escolhe se 1:multigrid ou 2:singlegrid

    close (1)

! =======================================================================================================

if (op == 1) then                                         ! se for Multigrid 

 ler_dados = system('notepad MGNL1D_000.ent')               ! lista dados

    open(1,file='MGNL1D_000.ent')

		read(1,*) caso                ! nome do caso que esta simulando 
		read(1,*) L
		read(1,*) Ng
		read(1,*) p
		read(1,*) q
		read(1,*) ite
		read(1,*) iti
		read(1,*) tol
		read(1,*) Re
		read(1,*) ci
		read(1,*) ve_norma
		read(1,*) fqi
		read(1,*) ve_sol
		read(1,*) graf
		read(1,*) fqs

		allocate (npm(L))
   
    close(1)

	r_e = p/q     
	allocate ( norma(0:ite))
   
else                     ! se escolher singlegrid, escolha também o solver e os demais dados
   
   ler_dados = system('notepad SGNL1D_000.ent') ! lista dados

    open(1,file='SGNL1D_000.ent')

		read(1,*) solver                  ! escolhe se 1:multigrid ou 2:singlegrid
		read(1,*) caso                ! nome do caso que esta simulando 
		read(1,*) N
		read(1,*) ite
		read(1,*) iti
		read(1,*) tol
		read(1,*) Re
		read(1,*) ci
		read(1,*) ve_norma
		read(1,*) fqi
		read(1,*) ve_sol
		read(1,*) graf
		read(1,*) fqs

    close (1)

 allocate ( norma(0:ite) )

end if
		
end subroutine EntradaDados

! =================================================================

end module Entradas
